package com.bzd.system.service.jkgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 合约分类管理 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SJkglGyhyHyflCategoryinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSJkglGyhyHyflCategoryinfo(PageData pd)throws Exception {
        return daoSupport.update("SJkglGyhyHyflCategoryinfoMapper.addSJkglGyhyHyflCategoryinfo", pd);
    }

    public List<PageData> findSJkglGyhyHyflCategoryinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SJkglGyhyHyflCategoryinfoMapper.selectSJkglGyhyHyflCategoryinfoList", pd);
    }

    public Integer SJkglGyhyHyflCategoryinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SJkglGyhyHyflCategoryinfoMapper.SJkglGyhyHyflCategoryinfoRemove", pd);
    }


    public Integer updateSJkglGyhyHyflCategoryinfo(PageData pd)throws Exception {
        return daoSupport.update("SJkglGyhyHyflCategoryinfoMapper.updateSJkglGyhyHyflCategoryinfo", pd);
    }

}
